############################################################
#                       statnet spec file                  # 
############################################################
# Any line preceded by '#' will be ignored

verbosity_level_(0/1/2/3/4)			2

train_network?_(yes/no)				no
apply_network?_(yes/no)				yes

##### Data #####

DAT:training_data_file				testa.in
DAT:application_data_file			testb.in
DAT:number_of_inputs_in_data_file_(X)		700
DAT:number_of_input_ranges			1
DAT:INRANGE					1  700
DAT:number_of_outputs_in_data_file_(Y)		3
DAT:number_of_output_ranges			1
DAT:OTRANGE					2  3
DAT:number_of_patterns_to_exclude		2
m0.5:2.0:2.0:8750
m1.0:2.0:2.0:8750

##### Network Architecture #####

NET:number_of_networks_in_committee_(N)		3
NET:size_of_first_hidden_layer_(H)		3
NET:size_of_second_hidden_layer_(V)		5
NET:input_weight_file				test.wt
NET:data_scaling_(none/var/maxmin/netsize)	var
NET:number_of_outputs_to_log			1
NET:TAKELOG					3

##### Training ######

TRN:output_weight_file				test.wt
TRN:error_file                                  test.err
TRN:form_of_weight_init_(uniform/gaussian)	uniform
TRN:initial_weight_range			0.1
TRN:random_number_seed				35199176
TRN:optimization_method_(grd/macopt)		macopt
TRN:update_method_(svu/rsu/batch)		batch

TRN:weight_decay_(none/default/list)		list
TRN:alpha_XH					0.01
TRN:alpha_bH					0.01
TRN:alpha_HV					0.01
TRN:alpha_VY					0.01
# NB beta refers to the scaled state variable.
TRN:use_beta_parameters?_(none/default/list)	list
TRN:beta					 625
TRN:beta					 625
TRN:beta					 625

##### Training (gradient descent) #####

GRD:number_of_iterations			500
GRD:learning_rate				0.05

##### Training (macopt) #####

MAC:convergence_tolerance_gradient		10000
MAC:maximum_number_of_iterations		50
MAC:perform_maccheckgrad?_(yes/no)		no
MAC:maccheckgrad_tolerance			0.000001

##### Application #####

APP:write_individual_network_results?_(yes/no)	no
